Bug 1476548 - gi.overrides.BlockDev.LVMError: Failed to get properties of the /com/redhat/lvmdbus1/Pv/0 object: Timeout was reached
gi.overrides.BlockDev.LVMError: Failed to get properties of the /com/redhat/l...
Status: NEW
Product: Fedora
Classification: Fedora
Component: libblockdev (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
abrt_hash:9b284c18f2601000ac7ef98057f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-30 02:41 EDT by Kyle Marek
Modified: 2017-08-04 04:15 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (447.19 KB, text/plain)
2017-07-30 02:41 EDT, Kyle Marek
no flags Details
File: anaconda.log (11.81 KB, text/plain)
2017-07-30 02:41 EDT, Kyle Marek
no flags Details
File: dnf.librepo.log (78.39 KB, text/plain)
2017-07-30 02:41 EDT, Kyle Marek
no flags Details
File: environ (529 bytes, text/plain)
2017-07-30 02:41 EDT, Kyle Marek
no flags Details
File: hawkey.log (743 bytes, text/plain)
2017-07-30 02:41 EDT, Kyle Marek
no flags Details
File: lsblk_output (2.34 KB, text/plain)
2017-07-30 02:41 EDT, Kyle Marek
no flags Details
File: nmcli_dev_list (1.54 KB, text/plain)
2017-07-30 02:41 EDT, Kyle Marek
no flags Details
File: os_info (447 bytes, text/plain)
2017-07-30 02:41 EDT, Kyle Marek
no flags Details
File: storage.log (25.80 KB, text/plain)
2017-07-30 02:42 EDT, Kyle Marek
no flags Details
File: syslog (233.10 KB, text/plain)
2017-07-30 02:42 EDT, Kyle Marek
no flags Details
File: ifcfg.log (1.68 KB, text/plain)
2017-07-30 02:42 EDT, Kyle Marek
no flags Details
File: packaging.log (1.41 KB, text/plain)
2017-07-30 02:42 EDT, Kyle Marek
no flags Details
File: program.log (12.44 KB, application/octet-stream)
2017-07-30 02:42 EDT, Kyle Marek
no flags Details

  None (edit)
Description Kyle Marek 2017-07-30 02:41:44 EDT
Version-Release number of selected component:
anaconda-26.21.11-1

The following was filed automatically by anaconda:
anaconda 26.21.11-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.6/site-packages/gi/overrides/BlockDev.py", line 824, in wrapped
    raise transform[1](msg)
  File "/usr/lib/python3.6/site-packages/blivet/static_data/lvm_info.py", line 59, in cache
    pvs = blockdev.lvm.pvs()
  File "/usr/lib/python3.6/site-packages/blivet/populator/helpers/lvm.py", line 91, in _get_kwargs
    pv_info = pvs_info.cache.get(self.device.path, None)
  File "/usr/lib/python3.6/site-packages/blivet/populator/helpers/formatpopulator.py", line 84, in run
    kwargs = self._get_kwargs()
  File "/usr/lib/python3.6/site-packages/blivet/populator/helpers/lvm.py", line 399, in run
    super().run()
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 345, in handle_format
    helper_class(self, info, device).run()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 318, in handle_device
    self.handle_format(info, device)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 519, in _populate
    self.handle_device(dev)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 454, in populate
    self._populate()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/blivet.py", line 271, in reset
    self.devicetree.populate(cleanup_only=cleanup_only)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/osinstall.py", line 1175, in storage_initialize
    storage.reset()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self)
gi.overrides.BlockDev.LVMError: Failed to get properties of the /com/redhat/lvmdbus1/Pv/0 object: Timeout was reached

Additional info:
addons:         com_redhat_docker, com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda
cmdline_file:   initrd=initrd.img logo.nologo root=live:http://10.42.0.1/boot/fedora/26/Everything/x86_64/images/install.img inst.repo=http://10.42.0.1/mirrors/fedora/releases/26/Everything/x86_64/os/ inst.kdump_addon=1 enforcing=0 inst.geoloc=0 BOOTIF=01-52:54:00:76:c2:f6
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.11.8-300.fc26.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        26
Comment 1 Kyle Marek 2017-07-30 02:41:50 EDT
Created attachment 1306498 [details]
File: anaconda-tb
Comment 2 Kyle Marek 2017-07-30 02:41:51 EDT
Created attachment 1306499 [details]
File: anaconda.log
Comment 3 Kyle Marek 2017-07-30 02:41:53 EDT
Created attachment 1306500 [details]
File: dnf.librepo.log
Comment 4 Kyle Marek 2017-07-30 02:41:54 EDT
Created attachment 1306501 [details]
File: environ
Comment 5 Kyle Marek 2017-07-30 02:41:55 EDT
Created attachment 1306502 [details]
File: hawkey.log
Comment 6 Kyle Marek 2017-07-30 02:41:56 EDT
Created attachment 1306503 [details]
File: lsblk_output
Comment 7 Kyle Marek 2017-07-30 02:41:58 EDT
Created attachment 1306504 [details]
File: nmcli_dev_list
Comment 8 Kyle Marek 2017-07-30 02:41:59 EDT
Created attachment 1306505 [details]
File: os_info
Comment 9 Kyle Marek 2017-07-30 02:42:00 EDT
Created attachment 1306506 [details]
File: storage.log
Comment 10 Kyle Marek 2017-07-30 02:42:02 EDT
Created attachment 1306507 [details]
File: syslog
Comment 11 Kyle Marek 2017-07-30 02:42:03 EDT
Created attachment 1306508 [details]
File: ifcfg.log
Comment 12 Kyle Marek 2017-07-30 02:42:04 EDT
Created attachment 1306509 [details]
File: packaging.log
Comment 13 Kyle Marek 2017-07-30 02:42:06 EDT
Created attachment 1306510 [details]
File: program.log
Comment 14 Kyle Marek 2017-07-30 02:47:55 EDT
Not sure if this is related, but I PXE-booted the network installer after a successful kickstart install from the same PXE media using the following kickstart contents:

cmdline
auth --enableshadow --passalgo=sha512
repo --name=fedora --mirrorlist=https://mirrors.fedoraproject.org/mirrorlist?repo=fedora-$releasever&arch=$basearch
repo --name=updates --mirrorlist=https://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-f$releasever&arch=$basearch
url --mirrorlist=https://mirrors.fedoraproject.org/mirrorlist?repo=fedora-$releasever&arch=$basearch
keyboard --vckeymap=us --xlayouts='us'
lang en_US.UTF-8
rootpw --lock
timezone America/New_York
zerombr
clearpart --all --disklabel=gpt
autopart --type=lvm --fstype=ext4 --nohome
bootloader --location=mbr
firstboot --enable --reconfig
reboot
%packages
@^minimal-environment
initial-setup
%end


Beyond this, nothing more was done with the installation besides trying out initial-setup by creating a user.
Comment 15 Kyle Marek 2017-07-30 03:10:06 EDT
Worked around by running the following and restarting installer:

lvm pvremove -ffy /dev/sda3


You know what? I forgot that I had an iSCSI disk documented in the iBFT for this run (I should've only had a vda), so I had 2 different 'fedora' volume groups present. That command just removed the only backing physical volume to the other volume group (effectively erasing that volume group).
Comment 16 Jiri Konecny 2017-07-31 04:07:43 EDT
Hello Kyle,

Thank you for comment 15 it really helps us. 

Even when you have two VGs with the same name we shouldn't give a traceback. I guess LVM should react other way than timeout on the other hand the best place where to handle this issue could be BlockDev or Blivet before it is trying to use LVM DBus?

I'm changing component to libblockdev, what do you think?
Comment 17 Kyle Marek 2017-07-31 05:38:02 EDT
I agree that Anaconda or it's backing libraries should not react in this way, even if the machine has a very strange/invalid drive configuration.

While handling timeouts at a higher level like Blivet or BlockDev is possible, it is only working around the real issue that lvmdbus is not responding for some reason. I think lvmdbus is not responding either because it has a bug and is the source of the issue, or because it is receiving a nonsensical request from a higher component due to bad handling of the conflicting volume groups.

Exception handling is good, but is there ever a time where lvmdbus not responding is survivable and should not be filed as a bug?

Note You need to log in before you can comment on or make changes to this bug.